Skip to main content

List enterprise roles of a client

GET 

/nevisidm/api/core/v1/clients/:extId/eroles

Since: 2.75.2, 2.76.0

Required permission(s): AccessControl.ClientView,AccessControl.EnterpriseRoleView

Returns all enterprise roles belonging to the client with the given external ID. Enterprise roles are client-specific groupings of application roles.

Request

Path Parameters

    extId stringrequired

    External ID of the client.

    Example: client-123

Query Parameters

    continuationToken string

    Pagination continuation token from a previous response.

    limit int32

    Default value: 0

    Maximum number of results to return.

    Example: 100

Responses

Enterprise roles retrieved successfully

Schema
    items object[]
  • Array [
  • created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the enterprise role.

    clientExtId string

    The external ID of the client to which the enterprise role belongs.

    name string

    The name of the enterprise role.

    description string

    The textual description of the enterprise role.

    displayName object

    The language-dependent name of the enterprise role. Keys: EN, DE, FR, IT.

    property name* string
  • ]
  • _pagination object
    continuationToken string

    The continuation token for fetching the next page of results generated from creation date and external id of the last entity

    limit int32

    The maximum number of results returned in a single page

    totalResult int64

    The total number of results available, only supported for selected endpoints, if returnTotalResultCount query-parameter is true

    _classifications object
    property name* string[]
  • Array [
  • string

  • ]
Loading...